Name: tyrex
Version: 1.0.3
Summary: An Open Source implementation of the Java Transaction Service
Epoch: 0
License: BSD-like
Url: http://tyrex.sourceforge.net
Packager: Igor Vlasenko <viy@altlinux.ru>
Requires: /bin/sh
Requires: /bin/sh
Requires: jpackage-utils
Requires: jpackage-utils

BuildArch: noarch
Group: Development/Java
Release: alt0.1jpp
Source: tyrex-1.0.3-1jpp.cpio

%description
Tyrex is a J2EE service provider for both Servlet
and EJB container, JMS providers and generic connectors.
It provides services for security and authentication,
local and distributed transactions, resource configuration
and pooling, and TP monitoring.
- Full support for JTA and OTS transactions APIs
- Support for local and distributed transactions
- JAAS-based authentication, LDAP login module
- Configurable transaction processing monitor
- JDBC pooling and automatic JDBC resource enlistment
- JCA connection manager
- XML based configuration
- JNDI environment naming context
- Transaction context propagation over IIOP
- Can be used as a stand alone OTS server

# sometimes commpress gets crazy (see maven-scm-javadoc for details)
%set_compress_method none
%prep
cpio -idmu --quiet --no-absolute-filenames < %{SOURCE0}

%build
cpio --list < %{SOURCE0} | sed -e 's,^\.,,' > %name-list

%install
mkdir -p $RPM_BUILD_ROOT
for i in usr var etc; do
[ -d $i ] && mv $i $RPM_BUILD_ROOT/
done

%post

echo -e "<dependencies>\n" > /etc/maven/maven2-depmap.xml
if [ -d /etc/maven/fragments ] && [ -n "`find /etc/maven/fragments -type f`" ]; then
cat /etc/maven/fragments/* >> /etc/maven/maven2-depmap.xml
fi
echo -e "</dependencies>\n" >> /etc/maven/maven2-depmap.xml

%postun

echo -e "<dependencies>\n" > /etc/maven/maven2-depmap.xml
if [ -d /etc/maven/fragments ] && [ -n "`find /etc/maven/fragments -type f`" ]; then
cat /etc/maven/fragments/* >> /etc/maven/maven2-depmap.xml
fi
echo -e "</dependencies>\n" >> /etc/maven/maven2-depmap.xml


%files -f %name-list

%changelog
* Tue Feb 10 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.0.3-alt0.1jpp
maven 2.0.7 bootstrap

